import { Event } from "../../../base/common/event.js";
import { IUserDataManifest } from "./userDataSync.js";
import { IUserDataSyncMachine } from "@codingame/monaco-vscode-249dc928-1da3-51c1-82d0-45e0ba9d08a1-common/vscode/vs/platform/userDataSync/common/userDataSyncMachines";
export declare const IUserDataSyncMachinesService: import("../../instantiation/common/instantiation.js").ServiceIdentifier<IUserDataSyncMachinesService>;
export interface IUserDataSyncMachinesService {
    _serviceBrand: any;
    readonly onDidChange: Event<void>;
    getMachines(manifest?: IUserDataManifest): Promise<IUserDataSyncMachine[]>;
    addCurrentMachine(manifest?: IUserDataManifest): Promise<void>;
    removeCurrentMachine(manifest?: IUserDataManifest): Promise<void>;
    renameMachine(machineId: string, name: string): Promise<void>;
    setEnablements(enbalements: [
        string,
        boolean
    ][]): Promise<void>;
}
